<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: ExpansionTeargasHelper Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.17</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('dc/d37/a08078.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">ExpansionTeargasHelper Class Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:af74787c1ec69e52ba443032ab423c93c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d37/a08078.html#af74787c1ec69e52ba443032ab423c93c">ExpansionTeargasHelper</a> (EntityAI entity)</td></tr>
<tr class="separator:af74787c1ec69e52ba443032ab423c93c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa9a89ead48647dea5cb0d4076bcafada"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d37/a08078.html#aa9a89ead48647dea5cb0d4076bcafada">OnWorkStart</a> ()</td></tr>
<tr class="separator:aa9a89ead48647dea5cb0d4076bcafada"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5dbe4b7229516a70bc31f61c74649be9"><td class="memItemLeft" align="right" valign="top">protected void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d37/a08078.html#a5dbe4b7229516a70bc31f61c74649be9">MakePlayerCough</a> ()</td></tr>
<tr class="separator:a5dbe4b7229516a70bc31f61c74649be9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af46e1fa61e500becaba53bee7a5bafd6"><td class="memItemLeft" align="right" valign="top">protected bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d37/a08078.html#af46e1fa61e500becaba53bee7a5bafd6">IsProtected</a> (notnull Man player)</td></tr>
<tr class="separator:af46e1fa61e500becaba53bee7a5bafd6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae7209c5cb2ca7c17e95ff55790b62ebb"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d37/a08078.html#ae7209c5cb2ca7c17e95ff55790b62ebb">OnWorkStop</a> ()</td></tr>
<tr class="separator:ae7209c5cb2ca7c17e95ff55790b62ebb"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a92f46de8caa57c138e07a51847dabc77"><td class="memItemLeft" align="right" valign="top">protected const float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d37/a08078.html#a92f46de8caa57c138e07a51847dabc77">MAX_SHOCK_INFLICTED</a> = -25.0</td></tr>
<tr class="separator:a92f46de8caa57c138e07a51847dabc77"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae1fdaea33933b2b82bb5ebb80f08efe0"><td class="memItemLeft" align="right" valign="top">protected const float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d37/a08078.html#ae1fdaea33933b2b82bb5ebb80f08efe0">MIN_SHOCK_INFLICTED</a> = -20.0</td></tr>
<tr class="separator:ae1fdaea33933b2b82bb5ebb80f08efe0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1a45d9e01561cd3e776558998ce7fe48"><td class="memItemLeft" align="right" valign="top">protected int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d37/a08078.html#a1a45d9e01561cd3e776558998ce7fe48">m_CoughTimer</a> = 1000</td></tr>
<tr class="separator:a1a45d9e01561cd3e776558998ce7fe48"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad5c156e1f2cd4408d11d7c25d5f4b1ff"><td class="memItemLeft" align="right" valign="top">protected bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d37/a08078.html#ad5c156e1f2cd4408d11d7c25d5f4b1ff">m_ZoneActive</a></td></tr>
<tr class="separator:ad5c156e1f2cd4408d11d7c25d5f4b1ff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a63adc4ef5213307696d18f321c64cf60"><td class="memItemLeft" align="right" valign="top">protected EntityAI&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d37/a08078.html#a63adc4ef5213307696d18f321c64cf60">m_Entity</a></td></tr>
<tr class="separator:a63adc4ef5213307696d18f321c64cf60"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p ><a class="el" href="../../d7/d13/a03365.html">ExpansionTeargasHelper.c</a></p>
<p >DayZ Expansion Mod www.dayzexpansion.com © 2022 DayZ Expansion Mod Team</p>
<p >This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. To view a copy of this license, visit <a href="http://creativecommons.org/licenses/by-nc-nd/4.0/">http://creativecommons.org/licenses/by-nc-nd/4.0/</a>. </p>

<p class="definition">Definition at line <a class="el" href="../../d7/d13/a03365_source.html#l00013">13</a> of file <a class="el" href="../../d7/d13/a03365_source.html">expansionteargashelper.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="af74787c1ec69e52ba443032ab423c93c" name="af74787c1ec69e52ba443032ab423c93c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af74787c1ec69e52ba443032ab423c93c">&#9670;&#160;</a></span>ExpansionTeargasHelper()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionTeargasHelper::ExpansionTeargasHelper </td>
          <td>(</td>
          <td class="paramtype">EntityAI&#160;</td>
          <td class="paramname"><em>entity</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d13/a03365_source.html#l00023">23</a> of file <a class="el" href="../../d7/d13/a03365_source.html">expansionteargashelper.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="af46e1fa61e500becaba53bee7a5bafd6" name="af46e1fa61e500becaba53bee7a5bafd6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af46e1fa61e500becaba53bee7a5bafd6">&#9670;&#160;</a></span>IsProtected()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected bool ExpansionTeargasHelper::IsProtected </td>
          <td>(</td>
          <td class="paramtype">notnull Man&#160;</td>
          <td class="paramname"><em>player</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d13/a03365_source.html#l00076">76</a> of file <a class="el" href="../../d7/d13/a03365_source.html">expansionteargashelper.c</a>.</p>

</div>
</div>
<a id="a5dbe4b7229516a70bc31f61c74649be9" name="a5dbe4b7229516a70bc31f61c74649be9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5dbe4b7229516a70bc31f61c74649be9">&#9670;&#160;</a></span>MakePlayerCough()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected void ExpansionTeargasHelper::MakePlayerCough </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d13/a03365_source.html#l00045">45</a> of file <a class="el" href="../../d7/d13/a03365_source.html">expansionteargashelper.c</a>.</p>

</div>
</div>
<a id="aa9a89ead48647dea5cb0d4076bcafada" name="aa9a89ead48647dea5cb0d4076bcafada"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa9a89ead48647dea5cb0d4076bcafada">&#9670;&#160;</a></span>OnWorkStart()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionTeargasHelper::OnWorkStart </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d13/a03365_source.html#l00032">32</a> of file <a class="el" href="../../d7/d13/a03365_source.html">expansionteargashelper.c</a>.</p>

</div>
</div>
<a id="ae7209c5cb2ca7c17e95ff55790b62ebb" name="ae7209c5cb2ca7c17e95ff55790b62ebb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae7209c5cb2ca7c17e95ff55790b62ebb">&#9670;&#160;</a></span>OnWorkStop()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionTeargasHelper::OnWorkStop </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d13/a03365_source.html#l00089">89</a> of file <a class="el" href="../../d7/d13/a03365_source.html">expansionteargashelper.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a1a45d9e01561cd3e776558998ce7fe48" name="a1a45d9e01561cd3e776558998ce7fe48"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1a45d9e01561cd3e776558998ce7fe48">&#9670;&#160;</a></span>m_CoughTimer</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected int ExpansionTeargasHelper::m_CoughTimer = 1000</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d13/a03365_source.html#l00018">18</a> of file <a class="el" href="../../d7/d13/a03365_source.html">expansionteargashelper.c</a>.</p>

</div>
</div>
<a id="a63adc4ef5213307696d18f321c64cf60" name="a63adc4ef5213307696d18f321c64cf60"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a63adc4ef5213307696d18f321c64cf60">&#9670;&#160;</a></span>m_Entity</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected EntityAI ExpansionTeargasHelper::m_Entity</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d13/a03365_source.html#l00021">21</a> of file <a class="el" href="../../d7/d13/a03365_source.html">expansionteargashelper.c</a>.</p>

</div>
</div>
<a id="ad5c156e1f2cd4408d11d7c25d5f4b1ff" name="ad5c156e1f2cd4408d11d7c25d5f4b1ff"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad5c156e1f2cd4408d11d7c25d5f4b1ff">&#9670;&#160;</a></span>m_ZoneActive</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected bool ExpansionTeargasHelper::m_ZoneActive</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d13/a03365_source.html#l00019">19</a> of file <a class="el" href="../../d7/d13/a03365_source.html">expansionteargashelper.c</a>.</p>

</div>
</div>
<a id="a92f46de8caa57c138e07a51847dabc77" name="a92f46de8caa57c138e07a51847dabc77"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a92f46de8caa57c138e07a51847dabc77">&#9670;&#160;</a></span>MAX_SHOCK_INFLICTED</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected const float ExpansionTeargasHelper::MAX_SHOCK_INFLICTED = -25.0</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d13/a03365_source.html#l00015">15</a> of file <a class="el" href="../../d7/d13/a03365_source.html">expansionteargashelper.c</a>.</p>

</div>
</div>
<a id="ae1fdaea33933b2b82bb5ebb80f08efe0" name="ae1fdaea33933b2b82bb5ebb80f08efe0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae1fdaea33933b2b82bb5ebb80f08efe0">&#9670;&#160;</a></span>MIN_SHOCK_INFLICTED</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected const float ExpansionTeargasHelper::MIN_SHOCK_INFLICTED = -20.0</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d13/a03365_source.html#l00016">16</a> of file <a class="el" href="../../d7/d13/a03365_source.html">expansionteargashelper.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>DayzExpansion/Weapons/Scripts/4_world/dayzexpansion_weapons/entities/weapons/<a class="el" href="../../d7/d13/a03365_source.html">expansionteargashelper.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dc/d37/a08078.html">ExpansionTeargasHelper</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
